---
layout: page.11ty.cjs
title: <todo-lit> ⌲ Home
---

# &lt;todo-lit>

`<todo-lit>` is an awesome element. It's a great introduction to building web components with LitElement, with nice documentation site as well.

## As easy as HTML

<section class="columns">
  <div>

`<todo-lit>` is just an HTML element. You can it anywhere you can use HTML!

```html
<todo-lit></todo-lit>
```

  </div>
  <div>

<todo-lit></todo-lit>

  </div>
</section>

## Configure with attributes

<section class="columns">
  <div>

`<todo-lit>` can be configured with attributed in plain HTML.

```html
<todo-lit name="HTML"></todo-lit>
```

  </div>
  <div>

<todo-lit name="HTML"></todo-lit>

  </div>
</section>

## Declarative rendering

<section class="columns">
  <div>

`<todo-lit>` can be used with declarative rendering libraries like Angular, React, Vue, and lit-html

```js
import {html, render} from 'lit-html';

const name = 'lit-html';

render(
  html`
    <h2>This is a &lt;todo-lit&gt;</h2>
    <todo-lit .name=${name}></todo-lit>
  `,
  document.body
);
```

  </div>
  <div>

<h2>This is a &lt;todo-lit&gt;</h2>
<todo-lit name="lit-html"></todo-lit>

  </div>
</section>
