var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { LitElement, html, css } from 'lit-element';
import { customElement, property } from 'lit/decorators.js';
let ClickCounter = class ClickCounter extends LitElement {
    constructor() {
        super(...arguments);
        this.count = 0;
    }
    render() {
        return html `
      <button @click=${this._onClick}>
        Click count: ${this.count}    
      </button>
    `;
    }
    _onClick() {
        this.count++;
    }
};
ClickCounter.styles = css `
    :host {
      display: block;
    }
  `;
__decorate([
    property({ type: Number })
], ClickCounter.prototype, "count", void 0);
ClickCounter = __decorate([
    customElement('click-counter')
], ClickCounter);
export { ClickCounter };
//# sourceMappingURL=click-counter.js.map